import { IconTooltip as FoundationIconTooltip, foundationIconTooltipShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroIconTooltipStyles } from './icon-tooltip.styles';
import { iconTooltipTemplate as template } from './icon-tooltip.template';
export const zeroIconTooltipShadowOptions = foundationIconTooltipShadowOptions;
/**
 * @tagname %%prefix%%-icon-tooltip
 */
export class IconTooltip extends FoundationIconTooltip {
}
/**
 * The Zero Icon Tooltip
 *
 * @public
 * @remarks
 * HTML Element: \<zero-icon-tooltip\>
 */
export const zeroIconTooltip = IconTooltip.compose({
    baseName: 'icon-tooltip',
    shadowOptions: zeroIconTooltipShadowOptions,
    styles: zeroIconTooltipStyles,
    template,
});
